CreateRootVolumeTemplateFromRootVolume
CreateRootVolumeTemplateFromRootVolume
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe name of the root volume image.
descriptionStringOptional. The detailed description of the root volume image.
guestOsTypeStringOptional. The operating system type of the guest VM instance that corresponds to the root volume image.
backupStorageUuidsListOptional. The backup storage UUID list.
rootVolumeUuidStringRequiredThe root volume UUID.
platformStringOptional. The system platform of the root volume image.
systembooleanOptional. Whether the root volume image is a system root volume image.
resourceUuidStringOptional. The UUID of the root volume image. If specified, the root volume image will use the specified value as UUID.
architectureStringOptional.
virtioListOptional.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/images/root-volume-templates/from/volumes/{rootVolumeUuid}
/zstack/v1/images/root-volume-templates/from/volumes/{rootVolumeUuid}
Request Example
curl -X POST 'http://{host}/zstack/v1/images/root-volume-templates/from/volumes/{rootVolumeUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","guestOsType":"<guestOsType>","backupStorageUuids":["<backupStorageUuids>"],"rootVolumeUuid":"<rootVolumeUuid>","platform":"<platform>","system":true,"resourceUuid":"<resourceUuid>","architecture":"<architecture>","virtio":["<virtio>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "fadea0efc22e3e6fa43f537f1af6ee6b", "name": "TinyLinux", "url": "http://192.168.1.20/share/images/tinylinux.qcow2", "mediaType": "RootVolumeTemplate", "platform": "Windows", "architecture": "x86_64", "format": "qcow2", "backupStorageRefs": [ { "id": 0, "imageUuid": "fadea0efc22e3e6fa43f537f1af6ee6b", "backupStorageUuid": "b94ff32725d133fea53e8ada5ea7f0fc", "installPath": "ceph://zs-images/f0b149e053b34c7eb7fe694b182ebffd", "status": "Ready" } ] } }Change History
This API has no change history records yet.
